Posted on

IMPORTANT: Experience Add On / Store Locator Plus Upgrades

SLP 4.4.14 Info Tab

Store Locator Plus 4.4.17 was released today with several updates to increase performance.  One of the biggest issues was the use of the third party support assistant service, Freemius.    There have been multiple reports of issues communicating with the Freemius servers which is slowing down some customer sites.    Until we can resolve the issue with Freemius that code has been removed from Store Locator Plus.

Experience add-on users MUST UPGRADE to Experience 4.4.03.     The older versions were relying on some WordPress functions that were loaded by Freemius.    That was a bug.  All add-ons , Experience included, should be self-sufficient.   SLP version 4.4.13 and 4.4.14 will cause Experience 4.4.02 or earlier to crash.    SLP 4.4.17 will automatically deactivate Experience if version 4.4.02 or earlier is found on your site.    If you re-activate this and ignore the “upgrade Experience or a fatal error will occur” warning your site will crash.   If that happens you must use cPanel or FTP and remove the ./wp-content/plugins/slp-experience subdirectory.     Login to your account on Store Locator Plus and get the latest version of Experience 4.4.03 or higher, install and activate it.

Other performance features include a faster and simpler “News and Info” reader that uses the built-in WordPress RSS feed processor to get the latest Store Locator Plus news.    You will notice the Info tab has been reworked along with this update.   The How To Use page now includes the news feed on the right side as well as an introductory setting up SLP video.  This will also improve performance during the initial install and during the first visit to the Store Locator Plus Info tab each day.

SLP 4.4.14 Info Tab
SLP 4.4.17 Info Tab